#! /usr/bin/env python
#
#getspectrumandpeaksplot.py
#
#Copyright (c) 2014 by Micron Optics, Inc.  All Rights Reserved
#
"""This example will plot a spectrum and the corresponding peaks.  This
requires numpy, and matplotlib packages.
"""
import matplotlib
import numpy as np
import matplotlib.pyplot as plt
from scipy.interpolate import interp1d

import sys

import hyperion


h1 = hyperion.Hyperion('10.0.0.55', timeout=10000)

#Get the spectrum
try:
    numChannels = h1.get_channel_count()
    h1.set_active_full_spectrum_channel_numbers(range(1,numChannels + 1))

    dbmData = h1.get_spectrum()
except hyperion.HyperionError as e:
    print e

#close the comm
h1.comm.close()



plt.plot(h1.wavelengths, dbmData)
plt.xlabel('Wavelength (nm)')
plt.ylabel('Amplitude (dBm)')
plt.show()
